from typing import Dict, List, Optional

from pydantic import BaseModel


class Char(BaseModel):
    name: str
    nationId: Optional[str] = ""
    groupId: Optional[str] = ""
    teamId: Optional[str] = ""
    isNotObtainable: bool
    isSpChar: bool
    tagList: Optional[List[str]] = []
    itemObtainApproach: Optional[str] = ""
    profession: str
    subProfessionId: str
    appellation: str
    rarity: str
    position: str


class Chars(BaseModel):
    chars_info: Dict[str, Char]
